"Add Issues"” permission problem
2010-02-08 02:14 - Erica Gallindo

Status: Closed Start date: 2010-02-08
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues permissions Estimated time: 0.00 hour

Target version:

Resolution: Duplicate Affected version:

Description

I've created a role with "Add Issues" permission enabled for issues "reporter" users. However, when a user with this role create an
issue, this following error message appears:

"403 - You are not authorized to access this page".
Despite this error message, the issue is successfully created. The error message is not shown if | enable also the "View Issues”
permission. This solution doesn't work for us because theses users must have just the ability to add new issues without access to

the issues added by others.

Moreover, we expect the "reporter" users have the possibility to update their own created issues. So, a "edit my own issues"”
permissions is very welcome.

Related issues:
Related to Redmine - Feature #2653: New permission for issues: view_own_issue Closed 2009-02-03

History

#1 - 2010-02-08 10:30 - Felix Schéfer

- Category changed from Permissions and roles to Issues permissions

| think this is somewhat related to #2653 and some other related tickets.

#2 - 2010-02-08 15:33 - Erica Gallindo

Yes, the second part is exactly the same feature request as in #2653, but the first part is a bug report. It was a mistake to mixed them in the same
issue. Sorry :(

#3 - 2010-02-19 20:16 - Jean-Philippe Lang

but the first part is a bug report

The user is not authorized to view issues, so what do you expect?

#4 - 2010-02-19 21:45 - Erica Gallindo

Jean-Philippe Lang wrote:

but the first part is a bug report

The user is not authorized to view issues, so what do you expect?

I'm expecting a better message on the screen. The "not allowed to view" (or something like this) message doesn't help the user to know if that issue
has been successfully added.

#5 - 2010-05-02 21:40 - Oleg Volkov
See #2653 and test it

#6 - 2010-07-08 18:07 - Felix Schéfer
- Status changed from New to Closed

- Resolution set to Duplicate

Erica Gallindo wrote:

Yes, the second part is exactly the same feature request as in #2653, but the first part is a bug report. It was a mistake to mixed them in the
same issue. Sorry :(

The "error" page is expected behavior and merely says that the user doesn't have the permission to do a certain action. | you feel issue creation by a
user not permitted to view issues should still yield a success message, please open a new issue.
